<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>In summary</h1>

<ul>
<li> qcow2 images with dirty bitmaps can do change block tracking.
<li> NBD protocol exposing those bitmaps opens possibilities.
<li> Libvirt aids incremental backup across backing chains.
<li> Expect more use cases as more software plays with incremental backups.
</ul>

<h2>Get it</h2>

<ul>
  <li> qemu &ge; 5.1
    <a href="https://qemu.org/">https://qemu.org</a> plus patches:
    <ul>
      <li>block-dirty-bitmap-populate <a href="https://lists.gnu.org/archive/html/qemu-devel/2020-09/msg00978.html">https://lists.gnu.org/archive/html/qemu-devel/2020-09/msg00978.html</a></li>
      <li>more contexts in
	qemu-nbd <a href="https://lists.gnu.org/archive/html/qemu-devel/2020-10/msg02708.html">https://lists.gnu.org/archive/html/qemu-devel/2020-10/msg02708.html</a></li>
  </ul></li>
  <li> libnbd &ge; 1.5.4
    <a href="https://github.com/libguestfs/libnbd">https://github.com/libguestfs/libnbd</a>
    plus patches:
    <ul><li>honor qemu-nbd -A <a href="https://www.redhat.com/archives/libguestfs/2020-October/msg00077.html">https://www.redhat.com/archives/libguestfs/2020-October/msg00077.html</a></li></ul>
  </li>
  <li> libvirt &ge; 6.7.0
    <a href="https://libvirt.org">https://libvirt.org</a>
  <li> This talk: <a href="https://repo.or.cz/eblake-techtalks.git">https://repo.or.cz/eblake-techtalks.git</a></li>
  <li> Presentation software: Tech Talk PSE 1.2</li>
</ul>

<h2>Any Questions?</h2>
